TechDraw Hatch: Difference between revisions

From FreeCAD Documentation
(Third level not second level)
(Hatch button)
Line 24: Line 24:
==How to use== <!--T:3-->
==How to use== <!--T:3-->
# Select an closed region in a View. The region will turn green.
# Select an closed region in a View. The region will turn green.
# Press the [[Image:TechDraw_Hatch.png|16px]] {{KEY|Hatch}} button
# Press the {{Button|[[Image:TechDraw_Hatch.png|16px]] [[TechDraw Hatch|Hatch]]}} button
# You may need to press recompute [[Image:View-rotate-right.png|16px]].
# You may need to press recompute [[Image:View-rotate-right.png|16px]].



Revision as of 19:20, 26 November 2018

TechDraw Hatch

Menu location
TechDraw → Hatch
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw GeomHatch, TechDraw Hatching

Description

The Hatch tool fills a closed region in a TechDraw NewView with a hatch pattern.

Patterns can be SVG or bitmap files. Sample SVG patterns are available in

$INSTALL_DIR/Mod/Draft/Resources/patterns

where $INSTALL_DIR is the directory where FreeCAD was installed, for example

/usr/share/freecad/Mod/Draft/Resources/patterns

How to use

  1. Select an closed region in a View. The region will turn green.
  2. Press the Hatch button
  3. You may need to press recompute .

Notes

  • Hatching objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information. It is recommended that hatching be one of the last steps in your drawing process.
  • Note that SVG hatch patterns are not included when a drawing page is saved as an SVG file.

Properties

  • DataSource: The View and Face to receive the hatch pattern.
  • DataHatch Pattern: Full path and filename to an SVG pattern file.
  • ViewHatch Color: Hatch pattern will be displayed in this color.
  • ViewHatch Scale: Hatch pattern size modifier.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Hatch tool can be used in macros and from the Python console by using the following functions:

hatch = FreeCAD.ActiveDocument.addObject('TechDraw::DrawHatch','Hatch')
hatch.Source = (view1,["Face0"])
hatch.HatchPattern = hatchFileSpec
rc = page.addView(hatch)